/** Width between 1200x to 0
 *  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */

@media (max-width: 1800px) {
  

  @import url("https://fonts.googleapis.com/css2?family=Montserrat&display=swap");

* {box-sizing: border-box;}

/* 
day/night */

body {
  margin-top:30px;
  font-family: "Montserrat", sans-serif;
  background-color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  text-align: center;
  transition: background 0.2s linear;
}

body.dark {background-color: #292c35;} /* #9b59b6 */

body.dark h1, body.dark .support a {color: rgb(26, 177, 236);}

div.dark {background-color: #636f94;} /* #9b59b6 */

.checkbox {
  opacity: 0;
  position: absolute;
}

.checkbox-label {
  background-color: #efecec;
  width: 50px;
  height: 26px;
  border-radius: 50px;
  position: relative;
  padding: 5px;
  cursor: pointer;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.ion-ios-moon  {color: #05a5d6; font-size: 40px;}

.ion-ios-sunny {color: #d6b305; font-size: 30px;}



.checkbox-label .ball {
  background-color: #131212;
  width: 22px;
  height: 22px;
  position: absolute;
  left: 2px;
  top: 2px;
  border-radius: 50%;
  transition: transform 0.2s linear;
}

.checkbox:checked + .checkbox-label .ball {
  transform: translateX(24px);
}

/*  Support me if you like it */
.support {
	position: absolute;
	right: 20px;
	bottom: 20px;
}

.support a {
  color: #292c35;
  font-size: 32px;
  backface-visibility: hidden;
  display: inline-block;
  transition: transform 0.2s ease;
}

.support a:hover{
  transform: scale(1.1);
}
 /* end day/night */

  
.header-img {
  width: 100px;
  margin-left:30px;
  border-radius: 20%;
  box-shadow: 10px 0px 45px 0px rgb(5, 159, 247);

  
}

.header-img:hover {
  width: 120px;
  margin-left:350px;
  margin-top:-55px;
  border-radius: 20%;
  
}




  .img-responsive {
    width: 100px;
    border-radius: 50%;
    margin-bottom:-400px;
  }

  
.header-content .list-social li {
  float: left;
  margin-right: 20px;


}

/** Width between 992px to 1199px
 *  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */

@media (min-width: 992px) and (max-width: 1199px) {


  }
  .home {
  height: 800px;
  
}
  
  
  .img01 {
    margin-top: -100px;
    height: 50%;
    border-radius: 10%;
    box-shadow: 0px 0px 85px 0px rgb(230, 230, 227);
    border: white 10px solid;
  }
}

/** Width between 768px to 991px
 *  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */

@media (min-width: 768px) and (max-width: 991px) {
 

  
  .img-responsive {
    width: 20%;
    border-radius: 50%;
  }

#header {
  font-size: 1px;
  padding:50px;
}

  .home-bg {
    height: 900px;
    background-color: white;
  }
  .img01 {
    width:30%;
    margin-top: 20px;
    margin-left:1px;
    height: 30%;
    border-radius: 10%;
    box-shadow: 0px 0px 85px 0px rgb(230, 230, 227);
    border: white 10px solid;
  }
  

  /* Navbar */
  nav {
    padding: 10px 15px;
  }
  .nav-menu {
    margin-top: 40px;
    display: none;
    float: none;
    width: 100%;
    
  }
  .nav-menu li {
    float: left;
    width: 100%;
    text-align: center;
    border-top: 1px solid #f7f7f7;
    line-height: 45px;
    margin-left: 0;
    padding-top: 10px;
    padding-bottom: 10px;
   
    
  }
  .responsive {
    float: right;
    padding-top: 15px;
    display: block;
  }
  /* Welcome */
  .head-info .header-content .cmaster h1 {
    font-size: 32px;
    
  }
  #welcome .div-img-bg {
    padding: 0;
  }
  #welcome .div-img-bg .welcome-img img {
    margin-top: 0%;
    margin-left: calc(0% - 0px);
  }
  #welcome .welcome-descr .p-heading {
    font-size: 20px;
  }
  #welcome .welcome-descr .separator {
    max-width: 100%;
    margin-bottom: 0;
  }

  /* portfolio */
  #portfolio .portfolio-list .nav li {
    float: none;
    margin: 20px;
    display: inline-block;
  }
  /* services */
  #services .services-block .services-info {
    margin-bottom: 30px;
  }
  /* Contact */
  .contact-contact {
    margin-bottom: 30px;
  }
  /* Footer */
  #footer .socials-media ul li {
    margin-right: 0;
    margin-left: 0;
    float: none;
    display: inline-block;
  }
}

/** Width between 767px to 0
 *  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */

@media (max-width: 767px) {
  
  .img-responsive {
    width: 50%;
    border-radius: 50%;
  }

  .home-bg {
    height: 1000px;
    background-color: white;
  }
  .img01 {
    width:30%;
    height: 30%;
    border-radius: 10%;
    box-shadow: 0px 0px 85px 0px rgb(230, 230, 227);
    border: white 10px solid;
    
  }

  /* Navbar */
  nav {
    padding: 20px 15px;
  }
  .nav-menu {
    margin-top: 40px;
    display: none;
    float: left;
    width: 100%;
  }
  .nav-menu li {
    float: none;
    width: 100%;
    text-align: center;
    border-top: 1px solid #f7f7f7;
    line-height: 45px;
    margin-left: 0;
    padding-top: 10px;
    padding-bottom: 10px;
  }
  .responsive {
    float: right;
    padding-top: 15px;
    display: block;

  }
  /* welcome */
  .head-info .header-content h1 {
    font-size: 12px;

  }

  .header-content .list-social li {
    margin-top: 15em;
    font-size: 2px;
  }


#header {
  font-size: 2px;
  padding:100px;
}

  #welcome .div-img-bg {
    padding: 0;
  }
  #welcome .div-img-bg .welcome-img img {
    margin-top: 0%;
    margin-left: calc(0% - 0px);
  }
  #welcome .welcome-descr .p-heading {
    font-size: 20px;
  }
  #welcome .welcome-descr .separator {
    max-width: 100%;
    margin-bottom: 0;
  }
  /* portfolio */
  #portfolio .portfolio-list .nav li {
    float: none;
    margin: 20px;
    display: inline-block;
  }
  /* services */
  #services .services-block .services-info {
    margin-bottom: 30px;
  }
  /* Contact */
  .contact-contact {
    margin-bottom: 30px;
  }
  /* Footer */
  #footer .socials-media ul li {
    margin-right: 0;
    margin-left: 0;
    float: none;
    display: inline-block;
  }
}

/** Width between 600px to 0
 *  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */

@media (max-width: 600px) {

  
  .main-container {
    background-color: rgb(248, 243, 243);
    margin-top:-200px;
    font-size:12px;
    margin-bottom: 100px;
    padding:35px;
    
    }


  .img1 {
    height: 210px;
  }

  .img2 {
    height: 180px;
  }

  .img3 {
    height: 300px; 
    
  }

  .img4 {
    height: 350px; 
  }

  .img5 {
    height: 420px; 
  }

  .img6 {
    height: 200px; 
  }

  .img7 {
    height: 210px; 
  }

  iframe {
    width: 450px;
    padding-left:10px;
  }


  /* Navbar */
  nav {
    padding: 20px 15px;
  }
  .nav-menu {
    margin-top: 40px;
    display: none;
    float: left;
    width: 100%;
    
     }
  .nav-menu li {
    float: none;
    width: 100%;
    text-align: center;
    border-top: 1px solid #f7f7f7;
    line-height: 45px;
    margin-left: 0;
    padding-top: 10px;
    padding-bottom: 10px;
  }
  .responsive {
    float: right;
    padding-top: 15px;
    display: block;
  }

  /* welcome */
  .head-info .header-content h1 {
    font-size: 32px;
  }
  #welcome .div-img-bg {
    padding: 0;
  }
  #welcome .div-img-bg .welcome-img img {
    margin-top: 0%;
    margin-left: calc(0% - 0px);
  }
  #welcome .welcome-descr .p-heading {
    font-size: 20px;
  }
  #welcome .welcome-descr .separator {
    max-width: 100%;
    margin-bottom: 0;
  }
  /* portfolio */
  #portfolio .portfolio-list .nav li {
    float: none;
    margin: 10px;
    display: inline-block;
  }
  /* services */
  #services .services-block .services-info {
    margin-bottom: 30px;
  }
  /* Contact */
  .contact-contact {
    margin-bottom: 30px;
  }
  /* Footer */
  #footer .socials-media ul li {
    margin-right: 0;
    margin-left: 0;
    float: none;
    display: inline-block;
  }
}

/** Width between 480px to 0
 *  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */

@media (max-width: 480px) {


  /* Navbar */
  nav {
    padding: 20px 15px;
  }
  .nav-menu {
    margin-top: 40px;
    display: none;
    float: none;
    width: 20%;
  }
  .nav-menu li {
    float: none;
    width: 100%;
    text-align: center;
    border-top: 1px solid #f7f7f7;
    line-height: 45px;
    margin-left: 0;
    padding-top: 10px;
    padding-bottom: 10px;
  }
  .responsive {
    float: right;
    padding-top: 15px;
    display: block;
  }
  /* welcome */
  .head-info .header-content h1 {
    font-size: 32px;
   
  }
  #welcome .div-img-bg {
    padding: 0;
  }
  #welcome .div-img-bg .welcome-img img {
    margin-top: 0%;
    margin-left: calc(0% - 0px);
  }
  #welcome .welcome-descr .p-heading {
    font-size: 20px;
  }
  #welcome .welcome-descr .separator {
    max-width: 100%;
    margin-bottom: 0;
  }
  /* portfolio */
  #portfolio .portfolio-list .nav li {
    float: none;
    margin: 20px;
  }
  /* services */
  #services .services-block .services-info {
    margin-bottom: 30px;
  }
  /* Contact */
  .contact-contact {
    margin-bottom: 30px;
  }
  /* Footer */
  #footer .socials-media ul li {
    margin-right: 0;
    margin-left: 0;
    float: none;
    display: inline-block;
  }
}

/** Width between 320px to 0
 *  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 */

@media (max-width: 320px) {

  /* Navbar */
  nav {
    padding: 20px 15px;
  }
  .nav-menu {
    margin-top: 40px;
    display: none;
    float: none;
    width: 100%;
   
  }
  .nav-menu li {
    float: none;
    width: 100%;
    text-align: center;
    border-top: 1px solid #f7f7f7;
    line-height: 45px;
    margin-left: 0;
    padding-top: 10px;
    padding-bottom: 10px;
    
  }
  .responsive {
    float: right;
    padding-top: 15px;
    display: block;
  }
  /* welcome */
  .head-info .header-content h1 {
    font-size: 32px;
  }
  #welcome .div-img-bg {
    padding: 0;
  }
  #welcome .div-img-bg .welcome-img img {
    margin-top: 0%;
    margin-left: calc(0% - 0px);
  }
  #welcome .welcome-descr .p-heading {
    font-size: 20px;
  }
  #welcome .welcome-descr .separator {
    max-width: 100%;
    margin-bottom: 0;
  }
  /* portfolio */
  #portfolio .portfolio-list .nav li {
    float: none;
    margin: 20px;
  }
  /* services */
  #services .services-block .services-info {
    margin-bottom: 30px;
  }
  /* Contact */
  .contact-contact {
    margin-bottom: 30px;
  }
  /* Footer */
  #footer .socials-media ul li {
    margin-right: 0;
    margin-left: 0;
    float: none;
    display: inline-block;
  }
  /* Single page */
  .entry-comments-body span {
    display: inline-block;
    margin-right: 0;
  }
}
